Todos

A to-do is a component of a task that requires completion and can be assigned to an individual.

Once to-do is assigned, task appears in the assignee's list of assigned tasks.

There's no cap on the number of to-dos a single task can include.

To-dos can be either open or closed.

ProjectBoardTask listTaskCommentsSubtasksTodos

You can find out more about To-dos in our [Help documentation] (https://help.productive.io/en/articles/4097412-task-to-do)

Attributes

assignee person
Response

The person assigned to complete this checklist item.

assignee_id integer
Request Parameter `filter`

The ID of the person assigned to complete this checklist item.

closed object
Response Request

Indicates whether this checklist item has been completed.

closed_at string
Response

Timestamp when this checklist item was completed, or null if still open.

created_at string
Response

Timestamp when this checklist item was created.

deal deal
Response

The deal this checklist item belongs to, if attached to a deal.

deal_id integer
Request Parameter `filter`

The ID of the deal this checklist item belongs to, if applicable.

due_date string
Response Request Parameter `filter`

The due date for completing this checklist item.

due_time string
Response Request

The specific time of day the checklist item is due.

id integer
Parameter `filter`

Unique identifier for the checklist item.

organization organization
Response

The organization this checklist item belongs to.

position integer
Response Request

The display order of this todo within its parent list.

status integer
Parameter `filter` Enum

Filter by todo status: 1 = open, 2 = closed.

Enum Values (2 values)

  • 1
  • 2
task task
Response

The task this todo belongs to.

task_id integer
Request Parameter `filter`

ID of the task this todo belongs to.

todoable_type string
Response Parameter `filter`

The type of the parent resource this todo is attached to (task or deal).